# Billing # Profiles ## Billing Profile Details **get** `/accounts/{account_id}/billing/profile` Gets the current billing profile for the account. ### Path Parameters - `account_id: string` Identifier ### Returns - `errors: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `pointer: optional string` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `result: object { id, account_type, address, 36 more }` - `id: optional string` Billing item identifier tag. - `account_type: optional string` - `address: optional string` - `address2: optional string` - `balance: optional string` - `card_expiry_month: optional number` - `card_expiry_year: optional number` - `card_number: optional string` - `city: optional string` - `company: optional string` - `country: optional string` - `created_on: optional string` - `device_data: optional string` - `edited_on: optional string` - `enterprise_billing_email: optional string` - `enterprise_primary_email: optional string` - `first_name: optional string` - `is_partner: optional boolean` - `last_name: optional string` - `next_bill_date: optional string` - `payment_address: optional string` - `payment_address2: optional string` - `payment_city: optional string` - `payment_country: optional string` - `payment_email: optional string` - `payment_first_name: optional string` - `payment_gateway: optional string` - `payment_last_name: optional string` - `payment_nonce: optional string` - `payment_state: optional string` - `payment_zipcode: optional string` - `primary_email: optional string` - `state: optional string` - `tax_id_type: optional string` - `telephone: optional string` - `use_legacy: optional boolean` - `validation_code: optional string` - `vat: optional string` - `zipcode: optional string` - `success: true` Whether the API call was successful - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/billing/profile \ -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "b69a9f3492637782896352daae219e7d", "account_type": "type", "address": "123 Main Street", "address2": "Apt 1", "balance": "0", "card_expiry_month": 12, "card_expiry_year": 2099, "card_number": "4242424242424242", "city": "Anytown", "company": "Company", "country": "Anycountry", "created_on": "2014-03-01T12:21:59.3456Z", "device_data": "sample_data", "edited_on": "2014-03-01T12:21:59.3456Z", "enterprise_billing_email": "johndoe@gmail.com", "enterprise_primary_email": "johndoe@gmail.com", "first_name": "John", "is_partner": false, "last_name": "Doe", "next_bill_date": "2014-03-01T12:21:59.3456Z", "payment_address": "123 Main Street", "payment_address2": "Apt 1", "payment_city": "Anytown", "payment_country": "Anycountry", "payment_email": "johndoe@gmail.com", "payment_first_name": "John", "payment_gateway": "gateway", "payment_last_name": "Doe", "payment_nonce": "abc123", "payment_state": "state", "payment_zipcode": "12345", "primary_email": "johndoe@gmail.com", "state": "AnyState", "tax_id_type": "type", "telephone": "1234567899", "use_legacy": false, "validation_code": "1111", "vat": "GB123456789", "zipcode": "12345" }, "success": true } ``` ## Domain Types ### Profile Get Response - `ProfileGetResponse = object { id, account_type, address, 36 more }` - `id: optional string` Billing item identifier tag. - `account_type: optional string` - `address: optional string` - `address2: optional string` - `balance: optional string` - `card_expiry_month: optional number` - `card_expiry_year: optional number` - `card_number: optional string` - `city: optional string` - `company: optional string` - `country: optional string` - `created_on: optional string` - `device_data: optional string` - `edited_on: optional string` - `enterprise_billing_email: optional string` - `enterprise_primary_email: optional string` - `first_name: optional string` - `is_partner: optional boolean` - `last_name: optional string` - `next_bill_date: optional string` - `payment_address: optional string` - `payment_address2: optional string` - `payment_city: optional string` - `payment_country: optional string` - `payment_email: optional string` - `payment_first_name: optional string` - `payment_gateway: optional string` - `payment_last_name: optional string` - `payment_nonce: optional string` - `payment_state: optional string` - `payment_zipcode: optional string` - `primary_email: optional string` - `state: optional string` - `tax_id_type: optional string` - `telephone: optional string` - `use_legacy: optional boolean` - `validation_code: optional string` - `vat: optional string` - `zipcode: optional string` # Usage ## Get PayGo Account Billable Usage (Beta) **get** `/accounts/{account_id}/billing/usage/paygo` Returns billable usage data for PayGo (self-serve) accounts. When no query parameters are provided, returns usage for the current billing period. This endpoint is currently in beta and access is restricted to select accounts. ### Path Parameters - `account_id: string` Represents a Cloudflare resource identifier tag. ### Query Parameters - `from: optional string` Defines the start date for the usage query (e.g., 2025-02-01). - `to: optional string` Defines the end date for the usage query (e.g., 2025-03-01). ### Returns - `errors: array of object { message, code }` Contains error details if the request failed. - `message: string` Describes the error or notice. - `code: optional number` Identifies the error or notice type. - `messages: array of object { message, code }` Contains informational notices about the response. - `message: string` Describes the error or notice. - `code: optional number` Identifies the error or notice type. - `result: array of object { BillingCurrency, BillingPeriodStart, ChargePeriodEnd, 8 more }` Contains the array of billable usage records. - `BillingCurrency: string` Specifies the billing currency code (ISO 4217). - `BillingPeriodStart: string` Indicates the start of the billing period. - `ChargePeriodEnd: string` Indicates the end of the charge period. - `ChargePeriodStart: string` Indicates the start of the charge period. - `ConsumedQuantity: number` Specifies the quantity consumed during this charge period. - `ConsumedUnit: string` Specifies the unit of measurement for consumed quantity. - `ContractedCost: number` Specifies the cost for this charge period in the billing currency. - `CumulatedContractedCost: number` Specifies the cumulated cost for the billing period in the billing currency. - `CumulatedPricingQuantity: number` Specifies the cumulated pricing quantity for the billing period. - `PricingQuantity: number` Specifies the pricing quantity for this charge period. - `ServiceName: string` Identifies the Cloudflare service. - `success: true` Indicates whether the API call was successful. - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/billing/usage/paygo \ -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" ``` #### Response ```json { "errors": [ { "message": "message", "code": 0 } ], "messages": [ { "message": "message", "code": 0 } ], "result": [ { "BillingCurrency": "USD", "BillingPeriodStart": "2025-02-01T00:00:00Z", "ChargePeriodEnd": "2025-02-02T00:00:00Z", "ChargePeriodStart": "2025-02-01T00:00:00Z", "ConsumedQuantity": 150000, "ConsumedUnit": "Requests", "ContractedCost": 0.75, "CumulatedContractedCost": 2.25, "CumulatedPricingQuantity": 4500000, "PricingQuantity": 150000, "ServiceName": "Workers Standard" } ], "success": true } ``` ## Domain Types ### Usage Paygo Response - `UsagePaygoResponse = array of object { BillingCurrency, BillingPeriodStart, ChargePeriodEnd, 8 more }` Contains the array of billable usage records. - `BillingCurrency: string` Specifies the billing currency code (ISO 4217). - `BillingPeriodStart: string` Indicates the start of the billing period. - `ChargePeriodEnd: string` Indicates the end of the charge period. - `ChargePeriodStart: string` Indicates the start of the charge period. - `ConsumedQuantity: number` Specifies the quantity consumed during this charge period. - `ConsumedUnit: string` Specifies the unit of measurement for consumed quantity. - `ContractedCost: number` Specifies the cost for this charge period in the billing currency. - `CumulatedContractedCost: number` Specifies the cumulated cost for the billing period in the billing currency. - `CumulatedPricingQuantity: number` Specifies the cumulated pricing quantity for the billing period. - `PricingQuantity: number` Specifies the pricing quantity for this charge period. - `ServiceName: string` Identifies the Cloudflare service.